## com.google.javascript.jscomp
Enum CompilerOptions.LanguageMode

    java.lang.Object
      java.lang.Enum<CompilerOptions.LanguageMode>
          com.google.javascript.jscomp.CompilerOptions.LanguageMode

All Implemented Interfaces:
  Serializable, Comparable<CompilerOptions.LanguageMode>

Enclosing class:
  CompilerOptions

    public static enum CompilerOptions.LanguageMode

extends Enum<CompilerOptions.LanguageMode>

When to do the extra sanity checks

Enum Constant Summary
`ECMASCRIPT3` Tranditional JavaScript
`ECMASCRIPT5` Shiny new JavaScript
`ECMASCRIPT5_STRICT` Nitpicky, shiny new JavaScript

Method Summary
`static CompilerOptions.LanguageMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CompilerOptions.LanguageMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ECMASCRIPT3

    public static final CompilerOptions.LanguageMode ECMASCRIPT3

  Tranditional JavaScript

### ECMASCRIPT5

    public static final CompilerOptions.LanguageMode ECMASCRIPT5

  Shiny new JavaScript

### ECMASCRIPT5_STRICT

    public static final CompilerOptions.LanguageMode ECMASCRIPT5_STRICT

  Nitpicky, shiny new JavaScript

Method Detail

### values

    public static CompilerOptions.LanguageMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CompilerOptions.LanguageMode c : CompilerOptions.LanguageMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CompilerOptions.LanguageMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null